﻿<%@ Page Language="C#" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="act" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Many behaviors on a textbox</title>
    <link href="template.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <act:ToolkitScriptManager runat="server" ID="sm1" EnablePartialRendering="false">
        <Scripts>
            <asp:ScriptReference Path="~/Script/EditInPlace.js" />
        </Scripts>
    </act:ToolkitScriptManager>
    <script type="text/javascript">
        Sys.Application.add_init(function() {
            $create(Bleroy.Sample.EditInPlace, { cssClass: "editInPlace" },
                {}, {}, $get('<%= tb1.ClientID %>'));
        });
    </script>
    <div>
        <h1>Many behaviors on a textbox</h1>
        <asp:TextBox runat="server" ID="tb1" />
        <act:TextBoxWatermarkExtender runat="server"
            TargetControlID="tb1" WatermarkText="Click me..."/>
        <act:AutoCompleteExtender runat="server"
            TargetControlID="tb1"
            ServicePath="Words.asmx" ServiceMethod="GetWords"
            BehaviorID="AutoCompleteEx"
            ID="autoComplete1" 
            MinimumPrefixLength="3" 
            CompletionInterval="500"
            EnableCaching="true"
            CompletionSetCount="20"
            CompletionListCssClass="autocomplete_completionListElement" 
            CompletionListItemCssClass="autocomplete_listItem" 
            CompletionListHighlightedItemCssClass="autocomplete_highlightedListItem"
            DelimiterCharacters=";, :"
            ShowOnlyCurrentWordInCompletionListItem="true" >
            <Animations>
                <OnShow>
                    <Sequence>
                        <OpacityAction Opacity="0" />
                        <HideAction Visible="true" />
                        <FadeIn />
                    </Sequence>
                </OnShow>
                <OnHide>
                    <FadeOut />
                </OnHide>
            </Animations>
        </act:AutoCompleteExtender>
    </div>
    </form>
</body>
</html>
